Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » CSS-Editor Maven and e(fx)clipse does not work in 1.0
CSS-Editor Maven and e(fx)clipse does not work in 1.0 [message #1410424] Wed, 20 August 2014 18:53 Go to next message
Oliver Schwarz is currently offline Oliver SchwarzFriend
Messages: 1
Registered: August 2014
Junior Member
Hello,

my project is maven based. I used the m2e-plugin together with e(fx)clipse 0.9.0 in eclipse 4.4. It worked fore me. CSS-Editor was working - syntax highlighting and content assist.

Today I installed e(fx)clipse 1.0. It works if I create an e(fx)clipse-project. But in the maven project, the css-editor does not work. There is some kind of syntax highlighting. But the javafx-css-statements are unknown. You get a "Unknown property"-warning.

I tried it with the bundle from efxclipse.bestsolution.at. No other css-editors are installed.

Is there something to configure or is this a bug in the 1.0-version?

Thanks
Re: CSS-Editor Maven and e(fx)clipse does not work in 1.0 [message #1410585 is a reply to message #1410424] Thu, 21 August 2014 06:15 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 5767
Registered: July 2009
Senior Member
Hi,

Yeah - The problem is that we are relying not on the JavaFX
SDK-Classpath-Container being part of your project.

You can add it to your maven project by:
a) bring up the project properties page
b) go the Java Build Path
c) select the libraries tab
d) Click "Add Library..."
e) Select JavaFX SDK

Maybe you need to restart the IDE to take effect but that should fix
your immediate problem. I'm not sure if m2e updates the project
classpath under certain circumstances, if it does I guess we should have
a bug report to track how to deal with m2e projects (we plan to add more
maven support in the next release)

Tom

On 20.08.14 21:14, Oliver Schwarz wrote:
> Hello,
>
> my project is maven based. I used the m2e-plugin together with
> e(fx)clipse 0.9.0 in eclipse 4.4. It worked fore me. CSS-Editor was
> working - syntax highlighting and content assist.
>
> Today I installed e(fx)clipse 1.0. It works if I create an
> e(fx)clipse-project. But in the maven project, the css-editor does not
> work. There is some kind of syntax highlighting. But the
> javafx-css-statements are unknown. You get a "Unknown property"-warning.
>
> I tried it with the bundle from efxclipse.bestsolution.at. No other
> css-editors are installed.
>
> Is there something to configure or is this a bug in the 1.0-version?
>
> Thanks
>
Re: CSS-Editor Maven and e(fx)clipse does not work in 1.0 [message #1700334 is a reply to message #1410424] Wed, 01 July 2015 23:39 Go to previous message
Michael Cassidy is currently offline Michael CassidyFriend
Messages: 1
Registered: July 2015
Junior Member
Figured out for gradle how to get this to work

eclipse.project {
natures 'org.springsource.ide.eclipse.gradle.core.nature'
natures 'org.eclipse.jdt.core.javanature'
natures 'org.eclipse.xtext.ui.shared.xtextNature'
natures 'org.eclipse.fx.ide.css.nature'

buildCommand 'org.eclipse.xtext.ui.shared.xtextBuilder'
}

eclipse.classpath {
containers 'org.eclipse.fx.ide.jdt.core.JAVAFX_CONTAINER'
}
Previous Topic:Disable CSS Errors on Certain Files/Projects
Next Topic:Convert SVG to FXML (no context menu entry)
Goto Forum:
  


Current Time: Mon Jul 06 15:44:15 GMT 2015

Powered by FUDForum. Page generated in 0.05294 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software